# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

%define split 0

%define snapshot 20110220

Summary:        Frei0r - a minimalistic plugin API for video effects
Name:           frei0r-plugins
Version:        1.1.22_git%{snapshot}
Release:        1.2
License:        GPL
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.piksel.org/Frei0r
#Source0:		%{name}-%{version}.tar.gz
## git clone --depth=1 git://code.dyne.org/frei0r.git
Source0:        frei0r-%{snapshot}.tar.bz2
Patch0:         %{name}-no-return-in-nonvoid-function.patch
Patch1:         %{name}-sequence-point.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libgavl-devel
#%if %suse_version >= 1110
BuildRequires:  opencv-devel
#%endif
BuildRequires:  pkgconfig
%if !%{split}
Provides:       %{name}-devel = %{version}
%endif

%description
frei0r - a minimalistic plugin API for video effects.

It is a minimalistic plugin API for video sources and filters.
The behaviour of the effects can be controlled from the host by
simple parameters. The intent is to solve the recurring
reimplementation or adaptation issue of standard effects.

It is not meant as a generic API for all kinds of video
applications.

There is no support for the requirements of special application
areas like non linear editors, hardware accelerated shader effects,
and high precision video processing. These advanced issues are not
even solved satisfactory for non cross application plugin apis and
are still an evolving field.

The frei0r API is not meant to be a competing standard to more
ambitious efforts.

%if %{split}
%package devel
Summary:        Development files for frei0r-plugins
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
Requires:       libgavl-devel
Requires:       opencv-devel

%description devel
The fri0r-plugins-devel package contains header files for developing
applications that use frei0r-plugins.
%endif #split

%prep
#%setup -q -n %{name}-%{version}
#%setup -q -n "frei0r-%{snapshot}"
%setup -q -n "frei0r"
%patch0 -p1
%patch1 -p1

%build
[ -e ./configure ] || ./autogen.sh
%configure \
    --disable-static
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall \
    plugindir=%{_libdir}/frei0r-1

%__rm -f doc/html/Makefile*
%__rm -rf "%{buildroot}%{_datadir}/doc/%{name}-1.1"
%__rm -rf "%{buildroot}%{_datadir}/doc/frei0r-plugins"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%dir %{_libdir}/frei0r-1
%{_libdir}/frei0r-1/*.so

%if %{split}
%files devel
%defattr(-,root,root,-)
%endif
#doc doc/html/*
%{_includedir}/*.h
%{_libdir}/pkgconfig/frei0r.pc

%changelog
* Sat Feb 27 2010 toni@links2linux.de
- update to actual git-snapshot (20100226)
- enabled opencv based plugins
- prepared to split-off devel-subpackage
* Wed Dec 17 2008 toni@links2linux.de
- rebuld with gavl-0.4.0
* Tue Oct 28 2008 toni@links2linux.de
- update to 1.1.22
* Tue Oct 21 2008 toni@links2linux.de
- reenabled build with gavl for openSuSE-11.1
* Fri Oct 17 2008 toni@links2linux.de
- openSuSE-11.1 build without gavl
* Tue Apr  1 2008 toni@links2linux.de
- update to 1.1.21
* Thu Jan 10 2008 toni@links2linux.de
- rebuild with new gavl-0.2.7
* Wed Nov  7 2007 toni@links2linux.de
- update to 1.1.20
- enabled gavl based plugins
* Tue Jun 12 2007 toni@links2linux.de
- initial build 1.1.19
